policyurlset
Configuration for URL set resource.
Properties
(click to see Operations )
| Name | Data Type | Permissions | Description |
|---|---|---|---|
| name | <String> | Read-write | Unique name of the url set. Not case sensitive. Must begin with an ASCII letter or underscore (_) character and must contain only alphanumeric and underscore characters. Must not be the name of an existing named expression, pattern set, dataset, string map, or HTTP callout.
Minimum length = 1
Maximum length = 127
|
| comment | <String> | Read-write | Any comments to preserve information about this url set. |
| imported | <Boolean> | Read-write | when set, display shows all imported urlsets.
Default value: 0
|
| overwrite | <Boolean> | Read-write | Overwrites the existing file.
Default value: 0
|
| delimiter | <String> | Read-write | CSV file record delimiter.
Default value: 44
|
| rowseparator | <String> | Read-write | CSV file row separator.
Default value: 10
|
| url | <String> | Read-write | URL (protocol, host, path and file name) from where the CSV (comma separated file) file will be imported or exported. Each record/line will one entry within the urlset. The first field contains the URL pattern, subsequent fields contains the metadata, if available. HTTP, HTTPS and FTP protocols are supported. NOTE: The operation fails if the destination HTTPS server requires client certificate authentication for access.
Minimum length = 1
Maximum length = 2047
|
| interval | <Integer> | Read-write | The interval, in seconds, rounded down to the nearest 15 minutes, at which the update of urlset occurs.
Default value: 0
Minimum value = 0
Maximum value = 2592000
|
| privateset | <Boolean> | Read-write | Prevent this urlset from being exported.
Default value: 0
|
| subdomainexactmatch | <Boolean> | Read-write | Force exact subdomain matching, ex. given an entry 'google.com' in the urlset, a request to 'news.google.com' won't match, if subdomainExactMatch is set.
Default value: 0
|
| matchedid | <Integer> | Read-write | An ID that would be sent to AppFlow to indicate which URLSet was the last one that matched the requested URL.
Default value: 1
Minimum value = 2
Maximum value = 31
|
| canaryurl | <String> | Read-write | Add this URL to this urlset. Used for testing when contents of urlset is kept confidential.
Minimum length = 1
Maximum length = 2047
|
| patterncount | <Integer> | Read-only | Number of patterns in this urlset.
Default value: 0
|
| _nextgenapiresource | <String> | Read-only | . |
| __count | <Double> | Read-only | count parameter |
Operations
(click to see Properties )
- ADD
- DELETE
- GET (ALL)
- GET
- COUNT
- IMPORT
- CHANGE
- EXPORT
Some options that you can use for each operations:
-
Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yesIf any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
-
Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,To do this, you must specify the username and password in the request header of the NITRO request as follows:X-NITRO-USER: <username>X-NITRO-PASS: <password>Note: In such cases, make sure that the request header DOES not include the following:Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green
add
URL: http:// <netscaler-ip-address> /nitro/v1/config/policyurlset HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"policyurlset":{
<b>"name":<String_value>,
</b>"comment":<String_value>
}}
Response: HTTP Status Code on Success: 201 Created
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
delete
URL: http:// <netscaler-ip-address> /nitro/v1/config/policyurlset/ name_value<String> HTTP Method: DELETE
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Import
URL: http:// <netscaler-ip-address> /nitro/v1/config/policyurlset? action=Import HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"policyurlset":{
<b>"name":<String_value>,
</b>"overwrite":<Boolean_value>,
"delimiter":<String_value>,
"rowseparator":<String_value>,
<b>"url":<String_value>,
</b>"interval":<Integer_value>,
"privateset":<Boolean_value>,
"subdomainexactmatch":<Boolean_value>,
"matchedid":<Integer_value>,
"canaryurl":<String_value>
}}
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
change
URL: http:// <netscaler-ip-address> /nitro/v1/config/policyurlset? action=update HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"policyurlset":{
<b>"name":<String_value>
</b>}}
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
export
URL: http:// <netscaler-ip-address> /nitro/v1/config/policyurlset? action=export HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"policyurlset":{
<b>"name":<String_value>,
</b><b>"url":<String_value>
</b>}}
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
get (all)
URL: http:// <netscaler-ip-address> /nitro/v1/config/policyurlset Query-parameters: args http:// <netscaler-ip-address> /nitro/v1/config/policyurlset? args=name: <String_value> ,imported: <Boolean_value>
Use this query-parameter to get policyurlset resources based on additional properties.
attrs http:// <netscaler-ip-address> /nitro/v1/config/policyurlset? attrs=property-name1,property-name2
Use this query parameter to specify the resource details that you want to retrieve.
filter http:// <netscaler-ip-address> /nitro/v1/config/policyurlset? filter=property-name1:property-val1,property-name2:property-val2
Use this query-parameter to get the filtered set of policyurlset resources configured on NetScaler.Filtering can be done on any of the properties of the resource.
view http:// <netscaler-ip-address> /nitro/v1/config/policyurlset? view=summary
Use this query-parameter to get the summary output of policyurlset resources configured on NetScaler.
Note: By default, the retrieved results are displayed in detail view (?view=detail).
pagination http:// <netscaler-ip-address> /nitro/v1/config/policyurlset? pagesize=#no;pageno=#no
Use this query-parameter to get the policyurlset resources in chunks.
HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "policyurlset": [ {
name:<String_value>,imported:<Boolean_value>"comment":<String_value>,
"patterncount":<Integer_value>,
"url":<String_value>,
"delimiter":<String_value>,
"rowseparator":<String_value>,
"interval":<Integer_value>,
"matchedid":<Integer_value>,
"canaryurl":<String_value>,
"_nextgenapiresource":<String_value>
}]}
get
URL: http:// <netscaler-ip-address> /nitro/v1/config/policyurlset/ name_value<String> Query-parameters: attrs http:// <netscaler-ip-address> /nitro/v1/config/policyurlset/ name_value<String> ? attrs=property-name1,property-name2
Use this query parameter to specify the resource details that you want to retrieve.
view http:// <netscaler-ip-address> /nitro/v1/config/policyurlset/ name_value<String> ? view=summary
Use this query-parameter to get the summary output of policyurlset resources configured on NetScaler.
Note: By default, the retrieved results are displayed in detail view (?view=detail).
HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "policyurlset": [ {
name:<String_value>,imported:<Boolean_value>"comment":<String_value>,
"patterncount":<Integer_value>,
"url":<String_value>,
"delimiter":<String_value>,
"rowseparator":<String_value>,
"interval":<Integer_value>,
"matchedid":<Integer_value>,
"canaryurl":<String_value>,
"_nextgenapiresource":<String_value>
}]}
count
URL: http:// <netscaler-ip-address> /nitro/v1/config/policyurlset? count=yes HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "policyurlset": [ { "__count": "#no"} ] }